1. Profiles
swonkie.dev
  • Introduction
  • Quick Start
  • Changelog
  • Social Networks
    • Facebook
    • Instagram
    • LinkedIn
    • TikTok
    • Threads
  • Profiles
    • My Profiles
      GET
    • Competitors
      GET
  • Insights
    • Getting Started
    • My Profile Insights
      GET
    • My Profile Insights Posts
      GET
    • Competitor Insights
      GET
    • Competitor Insights Posts
      GET
  • Posts
    • Getting Started
    • List Posts
      GET
    • Get a Post
      GET
    • Create a Post
      POST
    • Update a Post
      PUT
    • Validate a Post
      GET
    • Delete a Post
      DELETE
    • Change Post Stage
      PATCH
  • Labels
    • Getting Started
    • List Labels
      GET
    • Create a Label
      POST
  • Media
    • Get a Media
    • Create a Media
    • Upload File to Media
    • Confirm Uploaded Media
    • Delete a Media
  • Examples
    • Publish
Back to Home
Back to Home
Login
  1. Profiles

My Profiles

GET
/profiles
Retrieves a paginated list of all connected social media profiles in your workspace. This endpoint allows you to search and filter your authenticated social network accounts, view their connection status, and access basic profile information across multiple platforms.

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.swonkie.dev/v2/profiles?skip=0&take=10&query=My Page&net=facebook,instagram' \
--header 'X-API-ID: {{apiId}}' \
--header 'X-API-KEY: {{apiKey}}'
Response Response Example
{
    "hasMore": true,
    "items": [
        {
            "id": "Tjg3YjhSU2xZREFqM1RqOTRnZTdpZz09",
            "name": "Brand Official Page",
            "username": "brandofficial",
            "picture": "https://storage.example.com/profiles/abc123.jpg",
            "net": {
                "name": "Facebook",
                "code": "facebook"
            },
            "statusLevel": "OK"
        },
        {
            "id": "RDlHZERwbitlK1lmQU0xNW0zWUhWZz09",
            "name": "Brand Instagram",
            "username": "brand_insta",
            "picture": "https://storage.example.com/profiles/def456.jpg",
            "net": {
                "name": "Instagram",
                "code": "instagram"
            },
            "statusLevel": "ERROR"
        }
    ],
    "total": 25
}
Modified at 2026-03-11 10:46:51
Previous
Profiles
Next
Competitors
Built with